type: netflow
protocols: [v1, v5, v6, v7, v8, v9, ipfix]
host: '{{.netflow_host}}:{{.netflow_port}}'
max_message_size: '{{.max_message_size}}'
expiration_timeout: '{{.expiration_timeout}}'
queue_size: {{.queue_size}}

{{if .internal_networks}}
internal_networks:
{{range .internal_networks}}
- '{{ . }}'
{{end}}
{{end}}

{{if .timeout}}
timeout: '{{.timeout}}'
{{end}}

{{if .read_buffer}}
read_buffer: '{{.read_buffer}}'
{{end}}

{{ if .custom_definitions}}
custom_definitions:
{{range .custom_definitions}}
- '{{ . }}'
{{end}}
{{end}}

detect_sequence_reset: {{.detect_sequence_reset}}

tags: {{.tags | tojson}}
publisher_pipeline.disable_host: {{ inList .tags "forwarded" }}

processors:
  - add_fields:
      target: ''
      fields:
        ecs.version: 1.9.0
